Package org.eclipse.ecf.core.util

## Class BundleStarter

- java.lang.Object
- - org.eclipse.ecf.core.util.BundleStarter

    public class BundleStarter
    extends Object

Since:
  3.9

### Constructor Summary

Constructors
`BundleStarter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `startDependents​(BundleContext context, String[] bundleSymbolicNames, int stateMask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleStarter

    public BundleStarter()

### Method Detail

#### startDependents

    public static void startDependents​(BundleContext context,
                                       String[] bundleSymbolicNames,
                                       int stateMask)
                                throws BundleException

Throws:
  `BundleException`